FIX::TYPE Namespace Reference

## Enumerations

enum | Type { Unknown, String, Char, Price, Int, Amt, Qty, Currency, MultipleValueString, MultipleStringValue, MultipleCharValue, Exchange, UtcTimeStamp, Boolean, LocalMktDate, Data, Float, PriceOffset, MonthYear, DayOfMonth, UtcDate, UtcDateOnly = UtcDate, UtcTimeOnly, NumInGroup, Percentage, SeqNum, Length, Country, TzTimeOnly, TzTimeStamp, XmlData, Language }

## Enumeration Type Documentation

## Type

enum FIX::TYPE::Type

Enumerator
Unknown |
String |
Char |
Price |
Int |
Amt |
Qty |
Currency |
MultipleValueString |
MultipleStringValue |
MultipleCharValue |
Exchange |
UtcTimeStamp |
Boolean |
LocalMktDate |
Data |
Float |
PriceOffset |
MonthYear |
DayOfMonth |
UtcDate |
UtcDateOnly |
UtcTimeOnly |
NumInGroup |
Percentage |
SeqNum |
Length |
Country |
TzTimeOnly |
TzTimeStamp |
XmlData |
Language |

Definition at line 660 of file FieldTypes.h.

{
Unknown,
String,
Char,
Price,
Int,
Amt,
Qty,
Currency,
MultipleValueString,
MultipleStringValue,
MultipleCharValue,
Exchange,
UtcTimeStamp,
Boolean,
LocalMktDate,
Data,
Float,
PriceOffset,
MonthYear,
DayOfMonth,
UtcDate,
UtcDateOnly = UtcDate,
UtcTimeOnly,
NumInGroup,
Percentage,
SeqNum,
Length,
Country,
TzTimeOnly,
TzTimeStamp,
XmlData,
Language
};
FIX::TYPE::Country
Definition: FieldTypes.h:689
FIX::TYPE::MultipleStringValue
Definition: FieldTypes.h:671
FIX::TYPE::Boolean
Definition: FieldTypes.h:675
FIX::TYPE::Currency
Definition: FieldTypes.h:669
FIX::TYPE::Unknown
Definition: FieldTypes.h:662
FIX::TYPE::Amt
Definition: FieldTypes.h:667
FIX::TYPE::UtcTimeOnly
Definition: FieldTypes.h:684
FIX::TYPE::TzTimeStamp
Definition: FieldTypes.h:691
FIX::TYPE::UtcDate
Definition: FieldTypes.h:682
FIX::TYPE::LocalMktDate
Definition: FieldTypes.h:676
FIX::TYPE::Exchange
Definition: FieldTypes.h:673
FIX::TYPE::MultipleValueString
Definition: FieldTypes.h:670
FIX::TYPE::Language
Definition: FieldTypes.h:693
FIX::TYPE::Data
Definition: FieldTypes.h:677
FIX::TYPE::Percentage
Definition: FieldTypes.h:686
FIX::TYPE::UtcDateOnly
Definition: FieldTypes.h:683
FIX::TYPE::NumInGroup
Definition: FieldTypes.h:685
FIX::TYPE::Int
Definition: FieldTypes.h:666
FIX::TYPE::Length
Definition: FieldTypes.h:688
FIX::TYPE::MonthYear
Definition: FieldTypes.h:680
FIX::TYPE::UtcTimeStamp
Definition: FieldTypes.h:674
FIX::TYPE::TzTimeOnly
Definition: FieldTypes.h:690
FIX::TYPE::XmlData
Definition: FieldTypes.h:692
FIX::TYPE::Qty
Definition: FieldTypes.h:668
FIX::TYPE::SeqNum
Definition: FieldTypes.h:687
FIX::TYPE::Float
Definition: FieldTypes.h:678
FIX::TYPE::PriceOffset
Definition: FieldTypes.h:679
FIX::TYPE::Price
Definition: FieldTypes.h:665
FIX::TYPE::String
Definition: FieldTypes.h:663
FIX::TYPE::DayOfMonth
Definition: FieldTypes.h:681
FIX::TYPE::Char
Definition: FieldTypes.h:664
FIX::TYPE::MultipleCharValue
Definition: FieldTypes.h:672